clc ;
close all;

initKompresorovna;
open('kompresorovna')
warning('OFF');

initTep = 22;

%% Nelder-Mead metoda nalezení konstant PI
PIreg=fminsearch('kriteria',[100 30],[],3);

%% PI regulator
display('Hodnoty pro PI regulator:'); 
display('Zesileni PI regulatoru:'); 
display(PIreg(1));
display('Casova konstanta PI regulatoru:'); 
display(PIreg(2));


sim('kompresorovna')
subplot(2,1,1)

plot(data.time, data.signals(2).values)
hold on
plot(data.time, data.signals(3).values)

legend('žádaná (°C)','měřená(°C)')
axis([0 1800 20 26])
xlabel('čas (s)')

subplot(2,1,2)
plot(data.time, data.signals(1).values/80)
legend('u (%)')
axis([0 1800 0 100])
xlabel('čas (s)')